package com.sheep.gamegroup.model.entity;

import android.text.TextUtils;

import java.io.Serializable;

/**
 * created on：2018/9/3 on 13:52
 * created by: YSL
 * 描述:回复互动列表 , 回复互动详情 ，未读消息条数
 */
public class MessageReplyEntity implements Serializable{


    /**
     * user_feedback_id : 0
     * faq_feedback_id : 2
     * title :
     * id : 1
     * user_contet :
     * created_at : 1535505529
     * user_create_time : 0
     * is_look : 0
     * content : 正在处理222
     * type : 1
     * user_id : 63075
     */

    private int user_feedback_id;
    private int faq_feedback_id;
    private String title;
    private int id;
    private String user_contet;
    private int created_at;
    private int user_create_time;
    private int is_look;
    private String content;
    private int type;
    private int user_id;

    public int getUser_feedback_id() {
        return user_feedback_id;
    }

    public void setUser_feedback_id(int user_feedback_id) {
        this.user_feedback_id = user_feedback_id;
    }

    public int getFaq_feedback_id() {
        return faq_feedback_id;
    }

    public void setFaq_feedback_id(int faq_feedback_id) {
        this.faq_feedback_id = faq_feedback_id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getUser_contet() {
        return user_contet;
    }

    public void setUser_contet(String user_contet) {
        this.user_contet = user_contet;
    }

    public int getCreated_at() {
        return created_at;
    }

    public void setCreated_at(int created_at) {
        this.created_at = created_at;
    }

    public int getUser_create_time() {
        return user_create_time;
    }

    public void setUser_create_time(int user_create_time) {
        this.user_create_time = user_create_time;
    }

    public int getIs_look() {
        return is_look;
    }

    public void setIs_look(int is_look) {
        this.is_look = is_look;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getUser_id() {
        return user_id;
    }

    public void setUser_id(int user_id) {
        this.user_id = user_id;
    }



    public String getTitleText(){
        return TextUtils.isEmpty(title) ? "官方回复" : title;
    }
}
